#include <stdio.h>
#include <dlfcn.h>

#include <dmx/plugin.h>


int main(int argc, char **argv)
{
  if (argc > 1)
    {
      dmxplugin_t *p1 = loadPlugin (NULL, argv[1]);
      if (p1)
        {
          int i;
          dmxuniverse_t u1;

          u1.numslots = 512;
          memset(u1.buffer, 0, 512);

          for (i=0; i<512; i++)
            u1.buffer[i] = (unsigned char)i&255;
          if (!p1->send_universe || p1->send_universe(0, &u1) < 0)
            printf ("unable to send universe\n");
 
          if (p1->delete)
            p1->delete (p1);
        }
      else
        printf ("  unable to load plugin\n");
      printf ("\n");
    }
  sleep(2);
  return 0;
}



